Bug 596397 (CVE-2010-1396) - CVE-2010-1396 WebKit: use-after-free vulnerability in handling the removal of container elements (ZDI-CAN-688)
Summary: CVE-2010-1396 WebKit: use-after-free vulnerability in handling the removal of...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-1396
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:37 UTC by Vincent Danen
Modified: 2021-02-24 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:14:59 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 17:37:09 UTC
A use after free issue exists in WebKit's handling of the removal of container elements. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved memory reference tracking.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35621
Trac: http://trac.webkit.org/changeset/55462, http://trac.webkit.org/changeset/55465

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative as the original reporter.

Comment 5 Jan Lieskovsky 2010-06-08 16:31:22 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.